## NMDeviceBt

NMDeviceBt

## Functions

const char * | nm_device_bt_get_hw_address ()
const char * | nm_device_bt_get_name ()
NMBluetoothCapabilities | nm_device_bt_get_capabilities ()

## Properties

NMBluetoothCapabilities | bt-capabilities | Read
char * | name | Read

## Types and Values

#define | NM_DEVICE_BT_HW_ADDRESS
#define | NM_DEVICE_BT_NAME
#define | NM_DEVICE_BT_CAPABILITIES
| NMDeviceBt

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceBt

## Description

## Functions

### nm_device_bt_get_hw_address ()

    const char *
    nm_device_bt_get_hw_address (NMDeviceBt *device);

`nm_device_bt_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware (MAC) address of the NMDeviceBt

[skip]

#### Parameters

device | a NMDeviceBt |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_bt_get_name ()

    const char *
    nm_device_bt_get_name (NMDeviceBt *device);

Gets the name of the NMDeviceBt.

#### Parameters

device | a NMDeviceBt |

#### Returns

the name of the device

### nm_device_bt_get_capabilities ()

    NMBluetoothCapabilities
    nm_device_bt_get_capabilities (NMDeviceBt *device);

Returns the Bluetooth device's usable capabilities.

#### Parameters

device | a NMDeviceBt |

#### Returns

a combination of NMBluetoothCapabilities

## Types and Values

### NM_DEVICE_BT_HW_ADDRESS

    #define NM_DEVICE_BT_HW_ADDRESS   "hw-address"

### NM_DEVICE_BT_NAME

    #define NM_DEVICE_BT_NAME         "name"

### NM_DEVICE_BT_CAPABILITIES

    #define NM_DEVICE_BT_CAPABILITIES "bt-capabilities"

### NMDeviceBt

    typedef struct _NMDeviceBt NMDeviceBt;

## Property Details

### The `“bt-capabilities”` property

      “bt-capabilities”          NMBluetoothCapabilities

The device's bluetooth capabilities, a combination of NMBluetoothCapabilities.

Owner: NMDeviceBt

Flags: Read

### The `“name”` property

      “name”                     char *

The name of the bluetooth device.

Owner: NMDeviceBt

Flags: Read

Default value: NULL